#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework purpose

%define rel 1

Name:           kf5-%framework
Version: 5.115.0
Release:        %mkrel %{rel}
Summary:        Provides abstractions to get the developer's purposes fulfilled
License:        LGPLv2+
Group:          System/Base
Url:            https://kde.org
Source:         https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf5-rpm-macros

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Test) >= 5.2

# KDE Framework BuildRequires
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Declarative) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5Kirigami2) >= %version
BuildRequires:  cmake(KF5Prison)
BuildRequires:  cmake(KAccounts) >= 24.01.85

BuildRequires:  intltool
BuildRequires:  kf5-kdeclarative

Requires:       kf5-kdeclarative
Requires:       kf5-kirigami2
Requires:       kf5-prison

%description
Framework for providing abstractions to get the developer's purposes fulfilled.

%files -f %{name}.lang
%doc README.md
%{_kf5_categoriesdir}/purpose.*categories
%{_kf5_libexecdir}/purposeprocess
%{_kf5_datadir}/%{framework}/
%{_kf5_plugindir}/%{framework}/
%{_kf5_plugindir}/kfileitemaction/sharefileitemaction.so
%{_kf5_qmldir}/org/kde/%{framework}/
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_datadir}/accounts/services/kde/google-youtube.service
%{_kf5_datadir}/accounts/services/kde/nextcloud-upload.service
%exclude %{_kf5_iconsdir}/hicolor/*/actions/kipiplugin_youtube.png

#--------------------------------------------------------------------

%define purpose_major 5
%define libpurpose %mklibname kf5purpose %{purpose_major}

%package -n %libpurpose
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurpose
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurpose
%{_kf5_libdir}/libKF5Purpose.so.%{purpose_major}{,.*}

#--------------------------------------------------------------------

%define purposewidgets_major 5
%define libpurposewidgets %mklibname kf5purposewidgets %{purposewidgets_major}

%package -n %libpurposewidgets
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurposewidgets
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurposewidgets
%{_kf5_libdir}/libKF5PurposeWidgets.so.%{purposewidgets_major}{,.*}

#--------------------------------------------------------------------

%define phabricatorhelpers_major 5
%define libphabricatorhelpers %mklibname phabricatorhelpers %{phabricatorhelpers_major}

%package -n %libphabricatorhelpers
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libphabricatorhelpers
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libphabricatorhelpers
%{_kf5_libdir}/libPhabricatorHelpers.so.%{phabricatorhelpers_major}{,.*}

#--------------------------------------------------------------------

%define reviewboardhelpers_major 5
%define libreviewboardhelpers %mklibname reviewboardhelpers %{reviewboardhelpers_major}

%package -n %libreviewboardhelpers
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libreviewboardhelpers
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libreviewboardhelpers
%{_kf5_libdir}/libReviewboardHelpers.so.%{reviewboardhelpers_major}{,.*}

#--------------------------------------------------------------------

%define develname %mklibname kf5purpose -d

%package -n %develname
Summary:        Provides abstractions to get the developer's purposes fulfilled: Build Environment
Group:          Development/KDE and Qt
Requires:       %{libpurpose} = %{version}
Requires:       %{libpurposewidgets} = %{version}
Requires:       %{libphabricatorhelpers} = %{version}
Requires:       %{libreviewboardhelpers} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       libkf5purpose-devel = %{version}-%{release}

%description -n %develname
Framework for providing abstractions to get the developer's purposes fulfilled.
Development files.

%files -n %develname
%{_kf5_libdir}/libKF5Purpose.so
%{_kf5_libdir}/libKF5PurposeWidgets.so
%{_kf5_libdir}/cmake/KF5Purpose/
%{_kf5_libdir}/cmake/KDEExperimentalPurpose/
%{_kf5_includedir}/*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040604
- New version 5.115.0

* Sun Jan 21 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2033153
- New version 5.114.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.113.0-1.mga10
+ Revision: 2028523
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952096
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947890
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941397
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935046
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922297
- New version 5.101.0

* Mon Nov 28 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1912135
- add missing runtime dependency on prison

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911665
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900268
- New version 5.99.0

* Wed Sep 14 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1888057
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880647
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871747
- New version 5.96.0

* Tue Apr 26 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853845
- New version 5.93.0

* Thu Mar 31 2022 neoclust <neoclust> 5.92.0-1.mga9
+ Revision: 1837362
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754875
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735309
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723505
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714897
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702073
- New version 5.80.0

* Sat Feb 27 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1692518
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653382
- New version 5.76.0

* Mon Nov 23 2020 daviddavid <daviddavid> 5.75.0-3.mga8
+ Revision: 1648594
- add upstream patch to read translated plugin action label (mga#27361)

* Wed Nov 11 2020 joequant <joequant> 5.75.0-2.mga8
+ Revision: 1644650
- rebuild to fix build break qca-qt5

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633232
- New version 5.75.0

* Mon Sep 14 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1626489
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612959
- New version 5.73.0

* Tue Jul 14 2020 daviddavid <daviddavid> 5.72.0-2.mga8
+ Revision: 1605848
- rebuild for new kaccounts-integration

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603139
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592831
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582057
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566548
- New version 5.69.0
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1557095
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546948
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486861
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466272
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457662
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451037
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444849
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420726
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386986
- New version 5.57.0

* Mon Apr 01 2019 umeabot <umeabot> 5.56.0-3.mga7
+ Revision: 1384090
- Qt5 Rebuild

* Wed Mar 13 2019 daviddavid <daviddavid> 5.56.0-2.mga7
+ Revision: 1375328
- enable KF5Notifications support

* Wed Mar 13 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1375317
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364579
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356709
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339258
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319005
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1300413
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1249756
- New version 5.49.0

* Mon May 21 2018 daviddavid <daviddavid> 5.46.0-1.mga7
+ Revision: 1231043
- New version: 5.43.0 (purpose is now part of the KDE frameworks 5 stack)
+ neoclust <neoclust>
- New version 5.46.0
- New version 5.46.0

* Wed Nov 01 2017 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1175336
- new version: 1.2.1

* Thu Mar 16 2017 neoclust <neoclust> 1.1-2.mga6
+ Revision: 1093075
- Do not install kipiplugin icons, it conflicts with kipi-plugins-youtube

* Sat Feb 18 2017 daviddavid <daviddavid> 1.1-1.mga6
+ Revision: 1086709
- new version: 1.1
- fix devel pkg name

* Sun Jul 24 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1043496
- new version: 1.0 (Final)
- remove merged upstream patch
- switch Kf5 BRs to cmake()

* Tue Feb 16 2016 umeabot <umeabot> 1.0~rc1-2.mga6
+ Revision: 962174
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 1.0~rc1-1.mga6
+ Revision: 873823
- update file list
- br intltool
- fix accounts develname
- add description
- adopt to mageia style
- import from opensuse

